Package ru.bgcrm.plugin.asterisk

# Class ManagerConnection

java.lang.Object
org.asteriskjava.lock.Lockable
org.asteriskjava.manager.internal.ManagerConnectionImpl
ru.bgcrm.plugin.asterisk.ManagerConnection

All Implemented Interfaces:
  `org.asteriskjava.manager.ManagerConnection`

public class ManagerConnection extends org.asteriskjava.manager.internal.ManagerConnectionImpl

- ## Field Summary

  ### Fields inherited from class org.asteriskjava.manager.internal.ManagerConnectionImpl

  `password, state, username`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagerConnection(ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.asteriskjava.AsteriskVersion`
  `determineVersion()`

  ### Methods inherited from class org.asteriskjava.manager.internal.ManagerConnectionImpl

  `addEventListener, connect, createReader, createSocket, createWriter, deregisterEventClass, determineVersionByCoreSettings, determineVersionByCoreShowVersion, disconnect, dispatchEvent, dispatchResponse, doLogin, getEncoding, getHostname, getLocalAddress, getLocalPort, getPassword, getPort, getProtocolIdentifier, getRemoteAddress, getRemotePort, getState, getUsername, getVersion, isSsl, login, login, logoff, registerUserEventClass, removeEventListener, sendAction, sendAction, sendAction, sendEventGeneratingAction, sendEventGeneratingAction, sendEventGeneratingAction, setDefaultEventTimeout, setDefaultResponseTimeout, setEncoding, setHostname, setKeepAliveAfterAuthenticationFailure, setPassword, setPort, setSocketReadTimeout, setSocketTimeout, setSsl, setUsername, stop, toString`

  ### Methods inherited from class org.asteriskjava.lock.Lockable

  `getDumpRateLimit, withLock`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ManagerConnection

    public ManagerConnection(ConfigMap config)

- ## Method Details

  - ### determineVersion

    protected org.asteriskjava.AsteriskVersion determineVersion() throws IOException, org.asteriskjava.manager.TimeoutException
    Overrides:
      `determineVersion` in class `org.asteriskjava.manager.internal.ManagerConnectionImpl`
    Throws:
      `IOException`
      `org.asteriskjava.manager.TimeoutException`